GlueGen: com.jogamp.gluegen.ant.GlueGenTask Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.ant.GlueGenTask Class Reference
Inheritance diagram for com.jogamp.gluegen.ant.GlueGenTask:
Collaboration diagram for com.jogamp.gluegen.ant.GlueGenTask:

## Public Member Functions

| GlueGenTask ()
void | setDebug (final boolean debug)
void | setLogLevel (final String logLevel)
void | setDumpCPP (final boolean dumpCPP)
void | setOutputRootDir (final String outputRootDir)
void | setEmitter (final String emitter)
void | setConfig (final String configuration)
void | setSrc (final String sourceFile)
void | setLiteralInclude (final String commaSeparatedIncludes)
PatternSet.NameEntry | createInclude ()
PatternSet.NameEntry | createIncludesFile ()
void | setIncludes (final String includes)
PatternSet.NameEntry | createExclude ()
PatternSet.NameEntry | createExcludesFile ()
void | setExcludes (final String excludes)
void | setIncludeRefid (final Reference reference)
void | addDirset (final DirSet dirset)
Path | createClasspath ()
void | execute () throws BuildException

## Detailed Description

An ANT `org.apache.tools.ant.Task` for using `com.jogamp.gluegen.GlueGen`.

Usage:

     <gluegen src="[source C file]"
                 outputrootdir="[optional output root dir]"
                 includes="[optional directory pattern of include files to include]"
                 excludes="[optional directory pattern of include files to exclude]"
                 includeRefid="[optional FileSet or DirSet for include files]"
                 literalInclude="[optional comma separated list of literal include directories, avoiding limitations of FileSet / DirSet issues]"
                 emitter="[emitter class name]"
                 config="[configuration file]"
                 dumpCPP="[optional boolean]"
                 debug="[optional boolean]"
                 logLevel="[optional string]" />

Author
  Rob Grzywinski rgrzywinski@yahoo.com

Definition at line 84 of file GlueGenTask.java.

## Constructor & Destructor Documentation

## ◆ GlueGenTask()

com.jogamp.gluegen.ant.GlueGenTask.GlueGenTask | ( |  | ) |

Create and add the VM and classname to `org.apache.tools.ant.types.CommandlineJava`.

Definition at line 167 of file GlueGenTask.java.

## Member Function Documentation

## ◆ addDirset()

void com.jogamp.gluegen.ant.GlueGenTask.addDirset | ( | final DirSet | dirset | ) |

Add a nested `org.apache.tools.ant.types.DirSet` to specify the files to include. This is called by ANT.

Parameters

  dirset | the `DirSet` to be added

Definition at line 366 of file GlueGenTask.java.

## ◆ createClasspath()

Path com.jogamp.gluegen.ant.GlueGenTask.createClasspath | ( |  | ) |

Add an optional classpath that defines the location of `com.jogamp.gluegen.GlueGen` and `GlueGen`'s dependencies.

Returns
  `org.apache.tools.ant.types.Path`

Definition at line 377 of file GlueGenTask.java.

## ◆ createExclude()

PatternSet.NameEntry com.jogamp.gluegen.ant.GlueGenTask.createExclude | ( |  | ) |

Add an include file to the list that is to be exluded. This is called by ANT for a nested element.

Returns
  `org.apache.tools.ant.types.PatternSet.NameEntry`

Definition at line 306 of file GlueGenTask.java.

## ◆ createExcludesFile()

PatternSet.NameEntry com.jogamp.gluegen.ant.GlueGenTask.createExcludesFile | ( |  | ) |

Add an exclude file to the list. This is called by ANT for a nested element.

Returns
  `org.apache.tools.ant.types.PatternSet.NameEntry`

Definition at line 318 of file GlueGenTask.java.

## ◆ createInclude()

PatternSet.NameEntry com.jogamp.gluegen.ant.GlueGenTask.createInclude | ( |  | ) |

Add an include file to the list. This is called by ANT for a nested element.

Returns
  `org.apache.tools.ant.types.PatternSet.NameEntry`

Definition at line 270 of file GlueGenTask.java.

## ◆ createIncludesFile()

PatternSet.NameEntry com.jogamp.gluegen.ant.GlueGenTask.createIncludesFile | ( |  | ) |

Add an include file to the list. This is called by ANT for a nested element.

Returns
  `org.apache.tools.ant.types.PatternSet.NameEntry`

Definition at line 282 of file GlueGenTask.java.

## ◆ execute()

void com.jogamp.gluegen.ant.GlueGenTask.execute | ( |  | ) | throws BuildException

Run the task. This involves validating the set attributes, creating the command line to be executed and finally executing the command.

See also
  org.apache.tools.ant.Task::execute()

Definition at line 390 of file GlueGenTask.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setConfig()

void com.jogamp.gluegen.ant.GlueGenTask.setConfig | ( | final String | configuration | ) |

Set the configuration file name. This is called by ANT.

Parameters

  configuration | the name of the configuration file

Definition at line 235 of file GlueGenTask.java.

## ◆ setDebug()

void com.jogamp.gluegen.ant.GlueGenTask.setDebug | ( | final boolean | debug | ) |

Set the debug flag (optional). This is called by ANT.

Definition at line 184 of file GlueGenTask.java.

## ◆ setDumpCPP()

void com.jogamp.gluegen.ant.GlueGenTask.setDumpCPP | ( | final boolean | dumpCPP | ) |

Set the dumpCPP flag (optional). This is called by ANT.

Definition at line 202 of file GlueGenTask.java.

## ◆ setEmitter()

void com.jogamp.gluegen.ant.GlueGenTask.setEmitter | ( | final String | emitter | ) |

Set the emitter class name. This is called by ANT.

Parameters

  emitter | the name of the emitter class

Definition at line 224 of file GlueGenTask.java.

## ◆ setExcludes()

void com.jogamp.gluegen.ant.GlueGenTask.setExcludes | ( | final String | excludes | ) |

Set the set of exclude patterns. Patterns may be separated by a comma or a space. This is called by ANT.

Parameters

  includes | the string containing the exclude patterns

Definition at line 330 of file GlueGenTask.java.

## ◆ setIncludeRefid()

void com.jogamp.gluegen.ant.GlueGenTask.setIncludeRefid | ( | final Reference | reference | ) |

Set a `org.apache.tools.ant.types.Reference` to simplify adding of complex sets of files to include. This is called by ANT.

?

Parameters

  reference | a `Reference` to a `org.apache.tools.ant.types.FileSet` or `org.apache.tools.ant.types.DirSet`

Exceptions

  BuildException | if the specified `Reference` is not either a `FileSet` or `DirSet`

Definition at line 345 of file GlueGenTask.java.

## ◆ setIncludes()

void com.jogamp.gluegen.ant.GlueGenTask.setIncludes | ( | final String | includes | ) |

Set the set of include patterns. Patterns may be separated by a comma or a space. This is called by ANT.

Parameters

  includes | the string containing the include patterns

Definition at line 294 of file GlueGenTask.java.

## ◆ setLiteralInclude()

void com.jogamp.gluegen.ant.GlueGenTask.setLiteralInclude | ( | final String | commaSeparatedIncludes | ) |

Set a literal include directories, separated with a comma. See the `literalInclude` javadoc for more information.

Parameters

  commaSeparatedIncludes | the comma separated directories to include

Definition at line 259 of file GlueGenTask.java.

## ◆ setLogLevel()

void com.jogamp.gluegen.ant.GlueGenTask.setLogLevel | ( | final String | logLevel | ) |

Set the logLevel (optional). This is called by ANT.

Definition at line 193 of file GlueGenTask.java.

## ◆ setOutputRootDir()

void com.jogamp.gluegen.ant.GlueGenTask.setOutputRootDir | ( | final String | outputRootDir | ) |

Set the output root dir (optional). This is called by ANT.

Parameters

  outputRootDir | the optional output root dir

Definition at line 213 of file GlueGenTask.java.

## ◆ setSrc()

void com.jogamp.gluegen.ant.GlueGenTask.setSrc | ( | final String | sourceFile | ) |

Set the source C file that is to be parsed. This is called by ANT.

Parameters

  sourceFile | the name of the source file

Definition at line 247 of file GlueGenTask.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/ant/GlueGenTask.java